##### basic_waitable_timer::basic_waitable_timer (3 of 8 overloads)

Constructor to set a particular expiry time as an absolute time.

    basic_waitable_timer(
        const executor_type & ex,
        const time_point & expiry_time);

This constructor creates a timer and sets the expiry time.

###### Parameters

ex

  The I/O executor object that the timer will use, by default, to dispatch handlers for any asynchronous operations performed on the timer.

expiry_time

  The expiry time to be used for the timer, expressed as an absolute time.